Beefy Boxes and Bandwidth Generously Provided by pair Networks
P is for Practical

Re^8: Help required installing LibXML Parser

by KarthikK (Sexton)
on Dec 21, 2007 at 10:18 UTC ( #658420=note: print w/ replies, xml ) Need Help??

in reply to Re^7: Help required installing LibXML Parser
in thread Help required installing LibXML Parser

Just for the record, below are the list of files i have

C:\Program Files\Rational\Common\lib\perl5\site_perl\5.6.1\MSWin32-x86 +-multi-thread\auto\XML „₯„Ÿ„Ÿ„ŸLibXML „  „ „  „  LibXML.dll „  „  LibXML.exp „  „  LibXML.lib „  „  LibXML.pdb „  „  „  „€„Ÿ„Ÿ„ŸCommon „ „  Common.dll „  Common.exp „  Common.lib „  Common.pdb „  „₯„Ÿ„Ÿ„ŸNamespaceSupport „€„Ÿ„Ÿ„ŸSAX
C:\Program Files\Rational\Common\lib\perl5\site_perl\5.6.1\XML „ „  LibXML.pod „ „ „  „₯„Ÿ„Ÿ„ŸLibXML „  Attr.pod „ „  CDATASection.pod „  Comment.pod „ „  Document.pod „  DocumentFragment.pod „  DOM.pod „  Dtd.pod „  Element.pod „  InputCallback.pod „ „  Namespace.pod „  Node.pod „ „ „  Parser.pod „  PI.pod „ „  Reader.pod „  RelaxNG.pod „ „  SAX.pod „  Schema.pod „  Text.pod „ „  XPathContext.pod „  „€„Ÿ„Ÿ„ŸSAX „ „ „  Builder.pod „ „ „ „  Intro.pod „ „ „ „ „ „ „  „€„Ÿ„Ÿ„ŸPurePerl „ „ „ „ „ „ „ „ „ „  „€„Ÿ„Ÿ„ŸReader

And libxml2.dll is placed in
C:\Program Files\Rational\Common\libxml2.dll
i hope this could throw some light!

Comment on Re^8: Help required installing LibXML Parser
Select or Download Code
Replies are listed 'Best First'.
Re^9: Help required installing LibXML Parser
by randyk (Parson) on Dec 21, 2007 at 22:11 UTC
    I'm afraid I'm a bit stumped - everything above looks OK. Just to see if it might be a binary incompatibility problem with your version of Perl, could you try installing the GD module; the ppm sources GD.tar.gz are again at After installation, does
    C:\> perl -MGD -e "print 1"
      will do it on monday (@ work pc) and will update. Thanks a lot once again
      Nope got the following error
      U:\>cqperl -MGD -e "print 1" Extracting -e (with variable substitutions) Can't locate loadable object for module GD in @INC (@INC contains: C:/ +Program Fi les/Rational/Common/lib/perl5/5.6.1/MSWin32-x86-multi-thread C:/Progra +m Files/Ra tional/Common/lib/perl5/5.6.1 C:/Program Files/Rational/Common/lib/per +l5 C:/Prog ram Files/Rational/Common/lib/perl5/site_perl/5.6.1/MSWin32-x86-multi- +thread C:/ Program Files/Rational/Common/lib/perl5/site_perl/5.6.1 C:/Program Fil +es/Rationa l/Common/lib/perl5/site_perl C:/Program Files/Rational/Common/lib/perl +5/site_per l/5.6.1/MSWin32-x86-multi-thread C:/Program Files/Rational/Common/lib/ +perl5/site _perl/5.6.1 C:/Program Files/Rational/Common/lib/perl5/site_perl .) at + -e line 0 Compilation failed in require. BEGIN failed--compilation aborted.
      i just copied the files to the C:/Program Files/Rational/Common/lib/perl5/site _perl/5.6.1 folder
        Assuming you copied the files as described in this node, this seems to indicate that XS-based modules that are compiled with VC++ 6 (which is what the ActiveState Win32 binary uses) are not compatible with your Perl. Unfortunately, that means you'll have to get access to the compiler used to build your Perl in order to build the module yourself.

Log In?

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://658420]
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others drinking their drinks and smoking their pipes about the Monastery: (3)
As of 2015-10-04 14:11 GMT
Find Nodes?
    Voting Booth?

    Does Humor Belong in Programming?

    Results (103 votes), past polls